%global coin_includedir %{expand:%%(coin-config --includedir)}
%global coin_htmldir %{expand:%%(coin-config --datadir)/Coin3}

Summary: High-level 3D visualization library
Name: SoQt
Version: 1.5.0
Release: 21%{?dist}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.coin3d.org

Source: http://ftp.coin3d.org/coin/src/all/SoQt-%{version}.tar.gz

Patch0: SoQt-1.2.0-man3.diff
Patch1: SoQt-1.5.0-doxygen.diff
Patch2: SoQt-1.5.0-config.patch

BuildRequires: doxygen
BuildRequires: /usr/bin/iconv
BuildRequires: /usr/bin/perl
BuildRequires: Coin3-devel
BuildRequires: qt4-devel
BuildRequires: libXi-devel

Provides: Coin3-SoQt = %{version}-%{release}

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
SoQt is a Qt GUI component toolkit library for Coin.  It is also compatible
with SGI and TGS Open Inventor, and the API is based on the API of the
InventorXt GUI component toolkit.

%package devel
Summary: Development files for SoQt
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: %{_datadir}/aclocal
Requires: Coin3-devel
Requires: qt4-devel

Requires: libXi-devel
Provides: Coin3-SoQt-devel = %{version}-%{release}
Group: Development/Libraries

%description devel
Development package for SoQt

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

find -name 'Makefile.*' -exec sed -i -e 's,\$(datadir)/Coin,$(datadir)/Coin3,' {} \;

# HACK ALERT
# The sources are ISO-8859-1 encoded
# We want doxygen to generate utf-8 encoded docs from them
sed -i \
 -e 's,^\(INPUT_FILTER.*=\).*$,\1 \"/usr/bin/iconv -f ISO-8859-1 -t utf-8\",' \
  src/Inventor/Qt/common/sogui.doxygen.in

%build
%configure \
	--includedir=%{coin_includedir} \
	--disable-static \
	--without-mesa \
	--disable-dependency-tracking \
	--enable-man \
	--enable-html \
	--with-qt=%{_libdir}/qt4 \
	htmldir=%{coin_htmldir}/SoQt \
	CPPFLAGS="${CPPFLAGS} -I%{_includedir}/Qt" \
	CONFIG_QTLIBS="$(pkg-config --libs QtGui)" \
	x_includes=" " x_libraries=" "
make

# Strip the default libdir
sed -i -e "s,-L%{_libdir} ,,g" soqt-default.cfg

# Strip ${RPM_OPT_FLAGS}
sed -i -e "s|${RPM_OPT_FLAGS}||g;s|${LDFLAGS}||" soqt-default.cfg SoQt.pc

# soqt-config is arch dependent
sed -i -e "s,/share/Coin/conf/,/%{_lib}/Coin3/conf/,g" soqt-config

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libSoQt.*a

install -d -m 755 ${RPM_BUILD_ROOT}%{_libdir}/Coin3
mv ${RPM_BUILD_ROOT}%{_datadir}/Coin3/conf ${RPM_BUILD_ROOT}%{_libdir}/Coin3

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog* README
%license COPYING LICENSE.GPL
%{_libdir}/libSoQt.so.*

%files devel
%{_bindir}/*
%{_datadir}/aclocal/soqt.m4
%dir %{_datadir}/Coin3
%doc %{coin_htmldir}/SoQt
%{coin_includedir}/*
%{_libdir}/libSoQt.so
%{_libdir}/Coin3
%{_mandir}/man?/*.?.gz
%{_libdir}/pkgconfig/SoQt.pc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 02 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-20
- Add BR: /usr/bin/perl.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-18
- Remove stray COPYING from %%doc.

* Sun Jan 03 2016 Corsépius <corsepiu@fedoraproject.org> - 1.5.0-17
- Elimiate %%define.

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5.0-15
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 27 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-14
- Fix bogus %%changelog entry.
- Let SoQt-devel require SoQt%%{?_isa}.

* Thu Feb 26 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-13
- Rebuild against Coin3.
- Modernise spec.
- Remove %%optflags and %%__global_ld_flags from *.cfg.

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 24 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-9
- Update config.{guess,sub} to allow building for aarch64*
  (Add SoQt-1.5.0-config.patch; RHBZ #926552).

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-7
- Fix typo in spec.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 11 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-5
- Prevent empty LDFLAGS from choking sed.

* Sun Mar 11 2012 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-4
- Modernize spec.
- Filter CFLAGS/LDFLAGS clutter in *.pc, *.cfg.
- Pass x_includes=" " x_libraries=" " to %%configure to work-around RHBZ #801369.
- Don't add build-time to doxygen generated docs (Add SoQt-1.5.0-doxgen.diff).

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Mar 03 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.0-1
- Upstream update.
- Spec file overhaul.
- Remove qt4-fixes.patch.

* Mon Feb 15 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-15
- Pass CONFIG_QTLIBS to configure to work around (BZ 564918).

* Mon Nov 23 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-14
- Let soqt-config search in %%{_libdir}/Coin2.

* Sun Nov 22 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-13
- Eliminate stray /usr/share/Coin directory.

* Wed Jul 29 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.4.1-12
- Switch to qt4.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 25 2008 Rex Dieter <rdieter@fedoraproject.org> - 1.4.1-9
- s/qt-devel/qt3-devel/

* Sun Feb 10 2008 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-8
- Rebuild for gcc43.

* Thu Nov 29 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-7
- Rebuild against Coin-2.5.0.
- Rebuild with doxygen-1.5.3-1 (BZ 343211).

* Wed Aug 22 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-6
- Mass rebuild.
- Update license tag.

* Tue Feb 20 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-5
- Install soqt-default.cfg into %%{_prefix}/%%{_lib}

* Mon Feb 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-4
- Filter errant -L%%_libdir from soqt-config.cfg.
- Remove *.la.

* Fri Jan 19 2007 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-3
- BR: libXi-devel, R: libXi-devel 
  (Work-around to XInput.h/libXi packaging issues).

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-2
- Inc Release due to buildsys bug.

* Sat Nov 04 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.1-1
- Upstream update.

* Fri Sep 08 2006 Ralf Corsépius <rc040203@freenet.de> - 1.4.0-1
- Upstream update.
- Add utf-8/doxygen hack.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.3.0-4
- Mass rebuild.

* Wed May 31 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-3
- Rebuild against Coin-2.4.5.
- Spec file cleanup.

* Mon Feb 20 2006 Ralf Corsépius <rc040203@freenet.de> - 0:1.3.0-2
- Rebuild for FC5.

* Fri Sep 23 2005 Ralf Corsepius <rc040203@freenet.de> - 0:1.3.0-1
- Update to 1.3.0
- Build w/o simacros.
